Subject: Re: [PATCH] irq: Add node_affinity CPU masks for smarter irqbalance hints

From: Andi Kleen <[email-masked]>
Date: Wed, 25 Nov 2009 12:50:19 +0100

On Wed, Nov 25, 2009 at 12:35:03PM +0100, Eric Dumazet wrote:
> > You seem to only have 8 CPUs (one socket) Normally a dual socket nehalem
> > should have 16 with HyperThreading enabled.
> > 
> > For some reason the BIOS is not reporting the other CPU.
> > 
> > You could double check with acpidmp / iasl -d if that's
> > what the BIOS really reports, but normally it should work.
> > 
> 
> Good Lord, I had a CONFIG_NR_CPUS=16 in my .config.

That should be enough for a two socket (2S x 4C x 2T) today,
but of course that will eventually change too.

> Changing to to 32 or 64 seems better :)

That looks weird. It should have worked with CONFIG_NR_CPUS==16 too,
because you only have 16 CPUs and the NR_CPUS should affect APIC
ranges etc.

Something still fishy. I would properly report it.

BTW kernel should give some error message in any case when
there are not enough CPUs I guess. 

-Andi

-- 
[email-masked] -- Speaking for myself only.